> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Login Attempts

> Retrieve successful login attempts for users



## OpenAPI

````yaml /api-reference/openapi.json get /auth/logins
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /auth/logins:
    get:
      tags:
        - Authentication
      summary: Get Login Attempts
      description: Retrieve successful login attempts for users
      operationId: getAuthLogins
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
          description: The page number for pagination
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 20
          description: The number of results per page
        - name: from_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
          description: Only include logins after this ISO 8601 timestamp
        - name: to_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
          description: Only include logins before this ISO 8601 timestamp
        - name: search
          in: query
          required: false
          schema:
            type: string
          description: Filter by username
        - name: sort
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
          description: Sort order for results
      responses:
        '200':
          description: Login attempts retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  page:
                    type: integer
                  total_pages:
                    type: integer
                  total_logins:
                    type: integer
                  logins:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        timestamp:
                          type: string
                          format: date-time
                        username:
                          type: string
                        user_id:
                          type: integer
                        user_agent:
                          type: string
                        path:
                          type: string
        '401':
          description: Invalid or missing token
        '403':
          description: Insufficient permissions
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````